#!/bin/bash
set -e
. tests/lib

if [ "x$DGIT_TEST_INTREE" = x ]; then
	echo >&2 'running installed package version, cannot test self-clone'
	exit 0
fi

if ! test -d $root/.git; then
	echo >&2 'not running out of git clone, cannot test self-clone'
	exit 0
fi

t-dsd

cd $tmp
t-dgit clone-dgit-repos-server drs-cloned

cd drs-cloned
ls -al infra/dgit-repos-server

echo ok.
